Redsn0w 0.9.14b2 released to fix issues with 3G/3Gs 06.15.00 baseband downgrade

Hope all our US readers had a great 4th of July! MuscleNerd and the iPhone-Dev team have released Redsn0w 0.9.14b2 to issues with the baseband that some users were experiencing. In addition to this fix, they have also added a new "DFU IPSW" feature to the "Extras" section which will allow users with a broken home or power button to put their device into DFU mode.

Check out our 06.15.00 baseband downgrade tutorial and use the new Redsn0w below if you were one of the users having issues with the 0.9.14b1 release. Let us know in the comments section if this version of Redsn0w is working for you.

DOWNLOAD:
Redsn0w 0.9.14b2 - OSX
Redsn0w 0.9.14b2 - WIN

  • ronie327

    i tried to do all the steps and was able to downgrade bb, but sadly i still have no unlocked phone. ” :(  i am going nuts without my phon. please help. do i need bb to unlock. i have read no/yes. and now im just lost. please help.

    • JaeM1llz

      Install Ultrasn0w to unlock

      • ronie327

        I tried that also. I used unlockit was that a bad choice? All I know is it works. “for now”

  • Pingback: Downgrade de baseband del iPad 06.15.00 a 05.13.04 en el iPhone 3G/3GS con RedSn0w 0.9.14b1 » AppelMania

  • Ahahahahah

    whats the link to download the correct firmwire for iphone 3g?

  • ems

    how to install ultrasnow manuallu on this ?

  • Bal_329

    it is ok for 16 and 32 gb but not good for 3gs 8gb will wipe wifi and everything u have to restore it to get everything back unable to downgrade on 3gs 8gb

  • Kristenl_120

    I’ve tried jailbreaking my 3GS on the 0.9.14b1 version of redsn0w and it worked, but didn’t downgrade my baseband and wouldn’t unlock even when i tried to AND downloaded the ultrasn0w fixer for 5.1.1. So ow i tried to jailbreak my iphone twice and it isn’t activating. When i synced it with my backed up info, loaded my iPhone with the same name as before, but NONE of the things i had stored on it were there. I couldn’t use it anyway since it wasn’t activated but….

    Help would be much appreciated as i’ve been trying to jail break my phone about a month now. Thanks in advance! (:

  • Nminato6

    its work perfectly and i’m on 05.15.04 ios 3.1.3 and i can’t unlock it… :(

  • Pingback: Redsn0w 0.9.14b2 downgrade from 06.15.00 to 05.13.04 baseband on iPhone 3G/3Gs | iPhoneBlogr.com

  • faizan

    I have iPhone 3g firmware 3.1.3 with baseband 6.15.00.
    Everytime I try to select my ipsw , redsnow says “That ipsw is not supported by this version of redsnow”
    Even I am on latest version of redsnow.
    Any solutions for fixing this, I really need to downgrade my baseband !!

  • Russ

    I have jailbroken 3g to ios 3.1.3 but the earpiece is not working, changed the board and the speaker still not working, could not use the newer redsnow as it did not recognize any ios or said not compatible. it there a fix for the earpiece every thing else is working , does keep coming up every now and then, this device is not compatible with this phone would you like to use flight mode… thanks if you can help :)